# Timing

[timing]

Parallel programming is about speeding up wall clock time, which is the real time that it takes a program or function to run. The library provides API to simplify timing within an application.

## Syntax

    // Declared in tick_count.h

    class tick_count;

    class tick_count::interval_t;

## Classes

- tick_count class
- tick_count::interval_t class
- Non-member functions